<h1>Panier</h1>

<p>{{(cartArticles$ | async) && (cartArticles$ | async).length ? (cartArticles$ | async).length : 0 }} cours dans le panier</p>


<div class="main-container" [class.mbottom]="(cartArticles$ | async).length == 0">

  <div *ngIf="(total$ | async) !== 0  && (cartArticles$ | async) && (cartArticles$ | async).length" class="total">


    <p style="font-weight: 700;">Total:</p>
    <p class="totla-price">{{(total$ | async) | currency:'EUR'}}</p>
    <button data-bs-toggle="modal" data-bs-target="#exampleModal" type="button" (click)="validateOrder()"
      class="btn btn-outline-success">Valider ma commande</button>




  </div>

  <div class="hr-visible" *ngFor="let cartArticle of cartArticles$ | async">
    <hr>
    <div class="cart-item-container">
      <div class="card mb-3 custom-card-container" style="max-width: 540px;">
        <div class="row g-0">
          <div class="col-md-4">
            <img src="../../../../../{{cartArticle.thumbnailLocation}}" class="img-fluid rounded-start" alt="...">
          </div>
          <div class="col-md-8">
            <div class="card-body">
              <h5 class="card-title">{{cartArticle.name}}</h5>
              <p class="card-text">{{cartArticle.description}}</p>
              <p class="card-text"><small class="text-muted">Last updated 3 mins ago</small></p>
            </div>
          </div>
        </div>
      </div>

      <div class="action">
        <p (click)="removeArticle(cartArticle)" class="remove">Supprimer</p>
      </div>

      <div class="price-infos">{{cartArticle.price | currency:'EUR'}}</div>

    </div>
  </div>
  <!-- Button trigger modal -->

</div>




  <!-- Modal -->
  <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Merci pour votre achat</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">

          <p>Retrouvez sans plus tarder vos cours dans votre espace mon apprentissage: </p>

          <div class="hr-visible" *ngFor="let justBoughtArticle of justBoughtArticles">
            <hr class="just-bought-hr">
            <div class="cart-item-container">
              <div class="card mb-3 custom-card-container" style="max-width: 540px;">
                <div class="row g-0">
                  <div class="col-md-4">
                    <img src="../../../../../{{justBoughtArticle.thumbnailLocation}}" class="img-fluid rounded-start"
                      alt="...">
                  </div>
                  <div class="col-md-8">
                    <div class="card-body">
                      <h5 class="card-title">{{justBoughtArticle.name}}</h5>
                      <p class="card-text">{{justBoughtArticle.description}}</p>
                      <p class="card-text"><small class="text-muted">Last updated 3 mins ago</small></p>
                    </div>
                  </div>
                </div>
              </div>

            </div>
          </div>

        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-outline-primary" data-bs-dismiss="modal">
            <a [routerLink]="'/'" data-bs-dismiss="modal">
              Accueil
            </a>
          </button>
          <button type="button" class="btn btn-outline-success" data-bs-dismiss="modal">
            <a [routerLink]="'/apprentissage'">
              Mon apprentissage
            </a>
          </button>
        </div>
      </div>
    </div>
  </div>
